# Breakthrough
Repository for the second CSCE 315 project

# To compile everything:
  make
  or make all
  
  ***NOTE***
  To remove all .class and .o files, just use: make clean.
  
# To run test:
  ./test

# To launch the server:
  ./server [port #]

Java Client is now functional with GUI.
  
# To launch the client:
  java Client [server address] [port #]
  Where [server address] is linux.cs.tamu.edu (or whatever server you're on) and [port #] is the same as server's [port #].

# Running the client:
- Once the server is running, join via client.
- Enter the password to access the server
- Select a game type
- Select a difficulty (if it's Client vs. AI)
- Play the game by clicking a piece and then clicking a valid spot to place that piece
- Upon game completion, the board interface will close, inform the client the game is over, and end the program

# Troubleshooting:
- Make sure you enable X11 forwarding in your PuTTY settings before you start your connection to the linux server.
- Make sure you also open XLaunch and just click next until finish so that PuTTY doesn't whine about not having a server to start up the client with.
- The GUI takes two moves at a time, to play click the square with the piece you want to move, then the square you want to move it to.
- Be patient. Swing is very slow and it'll take a second or two for it to initialize the window and a couple seconds to render the icons each time you make a move (depending on if you're using a VPN or not, runs smoothly on campus).
